Subject: Re: [PATCH 5/5] config: add default aliases

From: Felipe Contreras <[email-masked]>
Date: Fri, 02 Jul 2021 17:16:37 -0500

martin wrote:
> On 02/07/2021 23:02, Felipe Contreras wrote:
> >
> >> If I was a committer on this project, I would have to be much more
> >> convinced that there is long-term value in this series than appears on
> >> the surface.
> >   1. It doesn't affect anyone negatively
> >   2. You don't have to use them if you don't want to
> >   3. They don't affect your aliases, even if they have the same name
> >   4. Everyone has aliases
> >   5. Every SCM in history has had aliases
> >
> > What more would you need?
> >
> 
> Well, it might be good if they were configurable.

What value does that provide?

> That way no one is forced to anything, but they are easy to enable, and 
> self advertising.

If the default aliases were part of the git version you are using right
now I bet you wouldn't even notice.

-- 
Felipe Contreras